pcl::visualization::context_items::Point Struct Reference

`#include <pcl/visualization/vtk/pcl_context_item.h>`

Inheritance diagram for pcl::visualization::context_items::Point:

## Public Member Functions

| vtkTypeMacro (Point, PCLContextItem)
bool | Paint (vtkContext2D *painter) override
virtual void | set (float _x, float _y)
Public Member Functions inherited from pcl::visualization::PCLContextItem
| vtkTypeMacro (PCLContextItem, vtkContextItem)
bool | Paint (vtkContext2D *) override
void | setColors (unsigned char r, unsigned char g, unsigned char b)
void | setColors (unsigned char rgb[3])
void | setOpacity (double opacity)

## Static Public Member Functions

static Point * | New ()
Static Public Member Functions inherited from pcl::visualization::PCLContextItem
static PCLContextItem * | New ()

## Additional Inherited Members

Public Attributes inherited from pcl::visualization::PCLContextItem
unsigned char | colors [3]
std::vector< float > | params

## Detailed Description

Definition at line 88 of file pcl_context_item.h.

## Member Function Documentation

## New()

static Point* pcl::visualization::context_items::Point::New | ( |  | ) |

static

## Paint()

bool pcl::visualization::context_items::Point::Paint | ( | vtkContext2D * | painter | ) |

override

## set()

virtual void pcl::visualization::context_items::Point::set | ( | float | _x,
|  | float | _y
| ) |  |

virtual

## vtkTypeMacro()

pcl::visualization::context_items::Point::vtkTypeMacro | ( | Point | ,
|  | PCLContextItem |
| ) |  |

The documentation for this struct was generated from the following file:

- pcl/visualization/vtk/pcl_context_item.h